Subject: Merge after rename

From: Phil Susi <[email-masked]>
Date: Thu, 09 Jul 2015 16:44:35 -0400

I'm trying to cherry pick an old change from an old branch onto the 
current master, and since the old change, the directory structure was 
altered and the modified files were moved.  Instead of detecting the new 
location of the file and applying the changes to it, git is re-adding 
the old file at the old location in its entirety.  How can I get it to 
correctly notice the rename and merge the changes in at the file's new 
location?